Summary: Implements OMEMO for libpurple.
Name: pidgin-lurch
Version: 0.6.8
Release: 2
Packager: robert.mader@posteo.de
License: GPL
Source: https://github.com/gkdr/lurch/archive/v0.6.8.zip
Source1: https://github.com/gkdr/libomemo/archive/v0.7.0.zip
Source2: https://github.com/gkdr/axc/archive/v0.3.3.zip
Source3: https://github.com/WhisperSystems/libsignal-protocol-c/archive/v2.3.3.zip
BuildRoot: /var/tmp/%{name}-buildroot
AutoReqProv: no
Requires: libpurple, mxml
BuildRequires: gcc, gcc-c++, ccache, cmake, libpurple-devel, mxml-devel, libxml2-devel, libsqlite3x-devel, libgcrypt-devel

%description
Implements OMEMO for libpurple.
End-to-end encryption using the Signal protocol, adapted for XMPP.
Richard Bayerle <riba@firemail.cc>
https://github.com/gkdr/lurch

%prep
%setup -n lurch-0.6.8
%setup -n lurch-0.6.8 -T -D -a 1
%setup -n lurch-0.6.8 -T -D -a 2
%setup -n lurch-0.6.8 -T -D -a 3
cd lib
rm -r axc
ln -s ../axc-* axc
rm -r libomemo
ln -s ../libomemo-* libomemo
cd axc/lib
rm -r libsignal-protocol-c
ln -s ../../libsignal-protocol-c-* libsignal-protocol-c

%build
make

%install
rm -rf $RPM_BUILD_ROOT

DESTDIR=$RPM_BUILD_ROOT make install
%files
%defattr(-,root,root)
/usr/lib64/purple-2/lurch.so

%changelog
* Thu Dec 03 2020 Robert Mader <robert.mader at posteo.de>
- Update to libomemo 0.7.0, axc 0.3.3 and libsignal-protocol-c 2.3.3
* Fri Feb 09 2019  Robert Mader <robert.mader at posteo.de>
- Update to lurch 0.6.8, axc 0.3.2 and libsignal-protocol 2.3.2
* Tue Oct 02 2018  Robert Mader <robert.mader at posteo.de>
- Update to 0.6.7, add gcc, gcc-c++ and ccache build dependencies
* Sun Apr 01 2018  Robert Mader <robert.mader at posteo.de>
- Update to 0.6.6, fix missing mxml dependency
* Sun Oct 01 2017  Robert Mader <robert.mader at posteo.de>
- Initial release (source 0.6.5)
